Bug 186413 - repoquery errors when quering for a groupmember
repoquery errors when quering for a groupmember
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 09:10 EST by matt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-04 12:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matt 2006-03-23 09:10:40 EST
Description of problem:

Using repoquery to view the group a package is a member of gives an error

Version-Release number of selected component (if applicable):

yum-2.6.0-1
yum-utils-0.5-1

How reproducible:

Always

Steps to Reproduce:
1. repoquery --groupmember bind
  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/repoquery", line 666, in ?
    main(sys.argv)
  File "/usr/bin/repoquery", line 663, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 402, in runQuery
    for p in self.doQuery(oper, prco): print p
  File "/usr/bin/repoquery", line 407, in doQuery
    return getattr(self, "fmt_%s" % method)(*args, **kw)
  File "/usr/bin/repoquery", line 411, in fmt_groupmember
    for id in self.groupInfo.grouplist:
AttributeError: 'YumBaseQuery' object has no attribute 'groupInfo'


Expected results:

Correct group info to be returned (Base)
Comment 1 Paul Howarth 2006-04-06 03:36:48 EDT
This seems to happen for all group-based queries, including the example given in
the manpage:

# repoquery -g --grouppkgs=optional -l base
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 666, in ?
    main(sys.argv)
  File "/usr/bin/repoquery", line 663, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 389, in runQuery
    pkgs = self.matchGroups(items)
  File "/usr/bin/repoquery", line 370, in matchGroups
    for grp in self.returnGroups():
  File "/usr/bin/repoquery", line 362, in returnGroups
    for name in self.groupInfo.grouplist:
AttributeError: 'YumBaseQuery' object has no attribute 'groupInfo'
Comment 2 Panu Matilainen 2007-08-04 12:59:09 EDT
Fixed ages ago, but probably not for FC5 (which is now EOL).. works in FC6 and
later anyway.

Note You need to log in before you can comment on or make changes to this bug.